Fix "Kan gegevens van repository niet downloaden" In Ubuntu

Dit artikel is oorspronkelijk geschreven voor Ubuntu, maar het is evengoed in staat om het "Failed to repository information" probleem op te lossen in Linux Mint en andere op Ubuntu gebaseerde Linux-distributies en -versies.

Onlangs kwam ik een update-probleem tegen. Ik heb gemerkt dat Ubuntu me de afgelopen dagen niet op de hoogte heeft gesteld van beschikbare updates. Aangezien ik de bètaversie gebruikte, vond ik het heel raar om geen updatemeldingen te hebben. Dit is de reden waarom ik besloot om zelf te controleren op beschikbare updates. Ik heb de Software Updater uitgevoerd en na het controleren op updates gooide ik deze fout:

Downloaden van repository-informatie is mislukt. Controleer je internetverbinding.

In deze zelfstudie laat ik u zien hoe u dit updateprobleem in Ubuntu kunt oplossen.

Hoe te repareren "Kan de gegevens van de repository niet downloaden" Fout bij bijwerken:

Omdat er in de Software Updater-gebruikersinterface geen informatie over de oorzaak van de fout beschikbaar is, moeten we de opdrachtregel gebruiken om dit te achterhalen.

Stap 1: Ontdek wat de fout veroorzaakt

Open de terminal (Ctrl + Alt + T) en gebruik de volgende opdracht:

sudo apt-get update 

Wacht tot dit commando helemaal is uitgevoerd. Het zou je uiteindelijk een fout moeten geven, zoiets als dit:

 W: Failed to fetch //ppa.launchpad.net/venerix/pkg/ubuntu/dists/raring/main/binary-i386/Packages 404 Not Found E: Some index files failed to download. They have been ignored, or old ones used instead. 

Zoals u hierboven kunt zien, kon de updater geen specifiek PPA-pakket vinden. En dit was de reden waarom Software Updater niet succesvol werd uitgevoerd.

Stap 2: De oorzaak van het probleem verwijderen

Zodra we weten dat deze PPA (of een andere softwarebron) de oorzaak is van deze updatefout, is de volgende stap om ze uit de lijst met softwarebronnen te verwijderen. Open hiervoor Software & Updates vanuit Unity Dash:

Ga in de Software en updates naar Andere software en zoek naar de softwarebron die dit probleem veroorzaakte. Verwijder het vinkje uit het selectievakje voordat dit wordt uitgesloten van toekomstige updates.

Dat is het. U hoeft niet opnieuw op te starten of zoiets. Voer de Software Updater opnieuw uit en het zou normaal moeten werken.

Overigens zal deze stap deze softwarebron gewoon van de lijst uitsluiten. Lees dit artikel over het verwijderen van een PPA om er helemaal vanaf te komen.

In het geval u zich afvraagt ​​waarom deze fout in de eerste plaats is opgetreden, was dit vanwege een niet-ondersteunde PPA voor mijn huidige Ubuntu-versie. Ik had een PPA toegevoegd die niet beschikbaar was voor mijn Ubuntu-versie en daarom gaf de opgegeven URL in de update een 404-fout.

Vragen, suggesties, hulp? Voel je vrij om in het opmerkingenveld te klikken.

Aanbevolen

Hoe de toetsenbord-applet te verwijderen in Ubuntu 13.10 & 14.04
2019
Hoe Linux Bash Shell te installeren op Windows 10
2019
Hoe controlesommen in Linux te verifiëren
2019